package main
import "time"
type Gender int
const (
   MALE Gender = 1 + iota
   FEMALE
   OTHER
   UNKNOWN
)
type Person struct {
   Participant
   Identifier string `json:"identifier"`
   AdditionalName string `json:"additionalName"`
   Address PostalAddress `json:"address"`
   Award string `json:"award"`
   BirthDate time.Time `json:"birthDate"`
   DeathDate time.Time `json:"deathDate"`
   BirthPlace Place `json:"birthPlace"`
   Email string `json:"email"`
   FamilyName string `json:"familyName"`
   FaxNumber string `json:"faxNumber"`
   Gender Gender `json:"gender"`
   GivenName string `json:"givenName"`
   GlobalLocationNumber string `json:"globalLocationNumber"`
   Height QuantitativeValue `json:"height"`
   HomeLocation PostalAddress `json:"homeLocation"`
   HonorificPrefix string `json:"honorificPrefix"`
   HonorificSuffix string `json:"honorificSuffix"`
   IsicsV4 string `json:"isicsV4"`
   JobTitle string `json:"jobTitle"`
   Naics string `json:"naics"`
   Nationality Country `json:"nationality"`
   NetWorth MonetaryAmount `json:"netWorth"`
   TaxId string `json:"taxId"`
   Telephone string `json:"telephone"`
   VatId string `json:"vatId"`
   Weight QuantitativeValue `json:"weight"`
}
